import type { FolderEntry, ReadResult, VersionInfo, WriteQueryOptions, WorkspaceConfigBase } from "../types";
import type { WorkspaceBackend } from "./WorkspaceBackend";
type InMemoryWorkspaceConfig = Pick<WorkspaceConfigBase, "id" | "label"> & {
    type: "memory";
};
export default class InMemoryWorkspaceBackend implements WorkspaceBackend {
    private _config?;
    readonly type: "git";
    private versionsByQueryId;
    constructor(_config?: InMemoryWorkspaceConfig);
    validateAccess(): Promise<void>;
    listFolder(folderId?: string): Promise<FolderEntry[]>;
    searchByName(query: string): Promise<FolderEntry[]>;
    readQuery(queryId: string): Promise<ReadResult>;
    writeQuery(queryId: string, queryText: string, options?: WriteQueryOptions): Promise<void>;
    listVersions(queryId: string): Promise<VersionInfo[]>;
    readVersion(queryId: string, versionId: string): Promise<ReadResult>;
    renameQuery(queryId: string, newLabel: string): Promise<void>;
    deleteQuery(queryId: string): Promise<void>;
}
export {};
